Name: wcstools
Version: 3.6.6
Release: 0.1.beta%{?dist}
Summary: Software utilities to display and manipulate the WCS of a FITS image

Group: Applications/Engineering
License: GPL
URL: http://tdc-www.harvard.edu/wcstools
Source0: http://tdc-www.harvard.edu/software/wcstools/wcstools-3.6.6beta.tar.gz
Patch0: wcstools3-shared.patch
Patch1: wcstools3-codewarn.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Wcstools is a set of software utilities, written in C, which create,
display and manipulate the world coordinate system of a FITS or IRAF
image, using specific keywords in the image header which relate pixel
position within the image to position on the sky.  Auxillary programs
search star catalogs and manipulate images.

%package -n libwcs
Summary: Libwcs shared library 
Group: System Environment/Libraries
License: LGPL

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libwcs
Shared library necessary to run wcstools and programs based on libwcs.

%package -n libwcs-devel
Summary: Libraries, includes, etc. used to develop an application with libwcs
Group: Development/Libraries
License: LGPL
Requires: libwcs = %{version}-%{release}
%description -n libwcs-devel
This are the files needed to develop an application using libwcs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" all

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_includedir}/wcs
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__install} -p bin/* %{buildroot}%{_bindir}
%{__cp} -a libwcs/*.so* %{buildroot}%{_libdir}
%{__install} -p -m 644 libwcs/*.h %{buildroot}%{_includedir}/wcs
%{__install} -p -m 644 Man/man1/* %{buildroot}%{_mandir}/man1

%clean
%{__rm} -fr %{buildroot}

%post -n libwcs -p /sbin/ldconfig

%postun -n libwcs -p /sbin/ldconfig

%files
%doc NEWS COPYING Readme Programs
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n libwcs
%defattr(-,root,root)
%doc libwcs/COPYING
%{_libdir}/*.so.*

%files -n libwcs-devel
%doc libwcs/COPYING libwcs/NEWS
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/wcs


%changelog
* Tue Oct 10 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.6-0.1.beta
- New upstream source 3.6.6beta
* Wed Aug 30 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.5-2
- Corrected bug in edhead (patch2) (bug #204642).
* Fri Jun 21 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.5-1
- New upstream source 3.6.5
* Tue Jun 13 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.4-3
- Patched overflows in catutil.c and getdate.c
- Patched incompatible pointer in binread.c
* Mon Jun 12 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.4-2
- Patched edhead.
- libwcs provides libwcs.so.3
- libwcs into System Environment/Libraries group
- Makefile uses ${RPM_OPT_FLAGS} and $(CC)
* Fri Jun 09 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.4-1
- Removed not needed ldconfig in wcstools and libwcs-devel.
* Wed Mar 08 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.3-1
- Initial RPM file.
